org.apache.lucene.analysis.ko

## Class DecompoundToken

- java.lang.Object
- - org.apache.lucene.analysis.ko.Token
  - - org.apache.lucene.analysis.ko.DecompoundToken

-     public class DecompoundToken
      extends Token

  A token that was generated from a compound.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DecompoundToken(POS.Tag posTag, String surfaceForm, int startOffset, int endOffset)` Creates a new DecompoundToken

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `POS.Tag` | `getLeftPOS()` Get the left part of speech of the token.
    `Dictionary.Morpheme[]` | `getMorphemes()` Get the `Dictionary.Morpheme` decomposition of the token.
    `POS.Type` | `getPOSType()` Get the `POS.Type` of the token.
    `String` | `getReading()` Get the reading of the token.
    `POS.Tag` | `getRightPOS()` Get the right part of speech of the token.
    `String` | `toString()`

    - ### Methods inherited from class org.apache.lucene.analysis.ko.Token

      `getEndOffset, getLength, getOffset, getPositionIncrement, getPositionLength, getStartOffset, getSurfaceForm, getSurfaceFormString, setPositionIncrement, setPositionLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DecompoundToken

          public DecompoundToken(POS.Tag posTag,
                                 String surfaceForm,
                                 int startOffset,
                                 int endOffset)

      Creates a new DecompoundToken
      Parameters:
        `posTag` - The part of speech of the token.
        `surfaceForm` - The surface form of the token.
        `startOffset` - The start offset of the token in the analyzed text.
        `endOffset` - The end offset of the token in the analyzed text.

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getPOSType

          public POS.Type getPOSType()

      Description copied from class: `Token`
      Get the `POS.Type` of the token.
      Specified by:
        `getPOSType` in class `Token`

    - #### getLeftPOS

          public POS.Tag getLeftPOS()

      Description copied from class: `Token`
      Get the left part of speech of the token.
      Specified by:
        `getLeftPOS` in class `Token`

    - #### getRightPOS

          public POS.Tag getRightPOS()

      Description copied from class: `Token`
      Get the right part of speech of the token.
      Specified by:
        `getRightPOS` in class `Token`

    - #### getReading

          public String getReading()

      Description copied from class: `Token`
      Get the reading of the token.
      Specified by:
        `getReading` in class `Token`

    - #### getMorphemes

          public Dictionary.Morpheme[] getMorphemes()

      Description copied from class: `Token`
      Get the `Dictionary.Morpheme` decomposition of the token.
      Specified by:
        `getMorphemes` in class `Token`

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.